# -*- coding: utf-8 -*-
# Generated by Django 1.9.6 on 2016-06-12 07:59
from __future__ import unicode_literals

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        ('contenttypes', '0002_remove_content_type_name'),
    ]

    operations = [
        migrations.CreateModel(
            name='BoundingBox',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('minx', models.CharField(max_length=254)),
                ('miny', models.CharField(max_length=254)),
                ('maxx', models.CharField(max_length=254)),
                ('maxy', models.CharField(max_length=254)),
            ],
        ),
        migrations.CreateModel(
            name='FeatureType',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=254)),
                ('title', models.CharField(blank=True, max_length=254, null=True)),
                ('keywords', models.CharField(blank=True, max_length=254, null=True)),
                ('abstract', models.TextField(blank=True, null=True)),
                ('srs', models.CharField(default='EPSG:4326', max_length=254)),
                ('fields', models.CharField(blank=True, max_length=254, null=True)),
                ('query', models.TextField(default='{}', help_text='JSON containing the query to be passed to a Django queryset .filter()')),
                ('model', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='contenttypes.ContentType')),
            ],
        ),
        migrations.CreateModel(
            name='MetadataURL',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('url', models.URLField()),
                ('featuretype', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='wfs.FeatureType')),
            ],
        ),
        migrations.CreateModel(
            name='Service',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=254)),
                ('title', models.CharField(max_length=254)),
                ('keywords', models.CharField(blank=True, help_text='Comma separated list of keywords.', max_length=254, null=True)),
                ('abstract', models.TextField(blank=True, null=True)),
                ('fees', models.CharField(blank=True, max_length=254, null=True)),
                ('access_constraints', models.CharField(blank=True, max_length=254, null=True)),
            ],
        ),
        migrations.AddField(
            model_name='featuretype',
            name='service',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='wfs.Service'),
        ),
        migrations.AddField(
            model_name='boundingbox',
            name='featuretype',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='wfs.FeatureType'),
        ),
    ]
